package {
	import citrus.core.starling.StarlingState;
	import citrus.objects.platformer.box2d.Hero;
	import citrus.objects.platformer.box2d.Platform;
	import citrus.physics.box2d.Box2D;
	
	import feathers.display.TiledImage;
	
	import starling.textures.Texture;
	
	public class GameState extends StarlingState {
		
		[Embed(source="../assets/hero.png")]
		private var HeroTexture:Class;
		
		[Embed(source="../assets/floor.png")]
		private var FloorTexture:Class;
		
		public function GameState() {
			super();
		}
		
		override public function initialize():void {
			super.initialize();
			
			var physics:Box2D = new Box2D("box2d");
			physics.visible = false;
			add(physics);
			
			var hero:Hero = new Hero("hero", {x:400, y:300, height:70, width:63} );
			hero.view = new HeroTexture();
			add(hero);
			
			var floor:Platform = new Platform("floor", {x:500, y:600, height:80, width:1000} );
			
			var tex:Texture = Texture.fromBitmap( new FloorTexture() );
			var tiledImg:TiledImage = new TiledImage(tex);
			tiledImg.setSize(1000,80);
			
			floor.view = tiledImg;
			add(floor);
		}
		
	}
}